# Uses of Class
org.eclipse.emf.cdo.spi.common.revision.RevisionInfo

Packages that use RevisionInfo
Package
Description
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.

## Uses of RevisionInfo in org.eclipse.emf.cdo.spi.common.revision

Subclasses of RevisionInfo in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Class
Description
`static class`
`RevisionInfo.Available`
If the meaning of this type isn't clear, there really should be more of a description here...
`static class`
`RevisionInfo.Available.Detached`
If the meaning of this type isn't clear, there really should be more of a description here...
`static class`
`RevisionInfo.Available.Normal`
If the meaning of this type isn't clear, there really should be more of a description here...
`static class`
`RevisionInfo.Available.Pointer`
If the meaning of this type isn't clear, there really should be more of a description here...
`static class`
`RevisionInfo.Missing`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.common.revision that return RevisionInfo
Modifier and Type
Method
Description
`static RevisionInfo`
RevisionInfo.`read(CDODataInput in, CDOBranchPoint requestedBranchPoint)`
Methods in org.eclipse.emf.cdo.spi.common.revision that return types with arguments of type RevisionInfo
Modifier and Type
Method
Description
`List<RevisionInfo>`
InternalCDORevisionManager.RevisionLoader.`loadRevisions(List<RevisionInfo> infos, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth)`
Deprecated.
As of 4.15 use `InternalCDORevisionManager.RevisionLoader3.loadRevisions(List, CDOBranchPoint, int, int, boolean)`.
`List<RevisionInfo>`
InternalCDORevisionManager.RevisionLoader3.`loadRevisions(List<RevisionInfo> infos, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean prefetchLockStates)`
Method parameters in org.eclipse.emf.cdo.spi.common.revision with type arguments of type RevisionInfo
Modifier and Type
Method
Description
`List<RevisionInfo>`
InternalCDORevisionManager.RevisionLoader.`loadRevisions(List<RevisionInfo> infos, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth)`
Deprecated.
As of 4.15 use `InternalCDORevisionManager.RevisionLoader3.loadRevisions(List, CDOBranchPoint, int, int, boolean)`.
`List<RevisionInfo>`
InternalCDORevisionManager.RevisionLoader3.`loadRevisions(List<RevisionInfo> infos, CDOBranchPoint branchPoint, int referenceChunk, int prefetchDepth, boolean prefetchLockStates)`